commons Cookbook
================

**DEPRECATED**: All features were moved to the `apt_utils`, `platform_utils` and `yum_utils` cookbooks.

This cookbook contains common utility libraries.

Requirements
------------

- OS: Debian family or Red Hat Enterprise Linux family.

Attributes
----------
#### commons::default
|Key|Type|Description (with examples)|Default|
|:--|:--|:--|:--|
|`['commons']['tcp_wrappers']['host_allow']`|Array|Entries in /etc/hosts.allow (ver. 0.4.0 or later)|`[]`|
|`['commons']['tcp_wrappers']['host_deny']`|Array|Entries in /etc/hosts.deny (ver. 0.4.0 or later)|`[]`|

Usage
-----
#### libraries
- `Commons::PackageUtils::get_cron_pkg_name`
- `Commons::PackageUtils::get_cron_serv_name`
- `Commons::PackageUtils::get_httpd_pkg_name`
- `Commons::PackageUtils::get_httpd_serv_name`
- `Commons::PackageUtils::get_jsvc_pkg_name`
- `Commons::PackageUtils::get_libbz2_pkg_name`

#### recipes
- `commons::apt` - sets up APT for Chef.
- `commons::crond` - installs cron package and enables & starts the service.
- `commons::httpd` - installs httpd package and enables & starts the service.
- `commons::ntpd` - installs ntpd package and enables & starts the service.
- `commons::platform_update` - updates all packages for platform.
- `commons::tcp_wrappers` - sets up hosts.allow and hosts.deny. (ver. 0.4.0 or later)
- `commons::yum-epel` - installs YUM EPEL repository configuration.

License and Authors
-------------------
- Author:: whitestar at osdn.jp

```text
Copyright 2013-2017, whitestar

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
